Skip to main content

Delete LDAP configuration

Using this API, LDAP configurations will be deleted for the provided componentID in the request.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

DELETE https://{tenantId}.{hostname}/digitanium/v4/ldap/{componentId}

HTTP request URL for SHIFT​

DELETE https://{hostname}/auth/realms/{tenantId}/v3_ldap/components/{componentId}
note

At this moment, this API is applicable for SSMS based installations.

note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

No parameter fields are required.

Request body​

No request body fields are required.

Response​

Field NameTypeDescription
messageStringMessage explains result of the API call. Refer Response status Information for details.
statusStringThe status of the API call. Refer Response status Information for details.
subSystemIntegersubSystem categorizes the type of API that has been called. Refer Subsystem details for details.

Sample Response​

{
"message": "Success",
"status": "OK",
"subSystem": 9
}

Response Status Information​

Status CodeStatusMessage
200OKComponent Not found
400BAD_REQUESTComponent Not found
401UnauthorizedHTTP 401 Unauthorized